Skip to main content
PATCH
/
api
/
v1
/
chatbot
/
welcome-messages
/
{id}
cURL
curl --request PATCH \
  --url https://test-api.afrainity.com/api/v1/chatbot/welcome-messages/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "intro_message": "<string>",
  "intro_picture": "<string>"
}
'
{
  "intro_message": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "intro_picture": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-KEY
string

API Key for authentication (alternative to session auth).

Example:

"sk_..."

X-Schema-Name
string

School (tenant) identifier. Must match your account unless you have platform-wide access.

Path Parameters

id
string<uuid>
required

A UUID string identifying this Welcome Message.

Body

intro_message
string
Required string length: 1 - 255
intro_picture
file | null

Response

200 - application/json
intro_message
string
required
Maximum string length: 255
id
string<uuid>
intro_picture
string<uri> | null
created_at
string<date-time>
updated_at
string<date-time>